Class A_BlinderLight extends Light;

#exec obj load file=GeneralAmbience.uax

simulated function PostBeginPlay()
{
	local Pawn P;
	local SPPRI I;

	P = Pawn(Owner);
	I = SPPRI(P.PlayerReplicationInfo);

	if (P != None && I != None)
	{
		I.BlinderPower -= 1;
	}

	SetTimer(2, true);
}

simulated function Timer()
{
	Destroy();
}

event Tick(float DeltaTime)
{
	local MonsterController SM;

	foreach CollidingActors(class'MonsterController', SM, 1000)
	{
		if (SM != None)
		{
			SM.bEnemyIsVisible = false;
			SM.VisibleEnemy = None;
			SM.WanderOrCamp(true);
			SM.Enemy = None;
			SM.OldEnemy = None;
		}
	}
}

defaultproperties
{
	AmbientSound=Sound'GeneralAmbience.computerfx31'
	bFullVolume=true
	SoundVolume=200
	SoundRadius=800
	bStatic=false
	bDirectional=true
	bNoDelete=false
	bDynamicLight=true
	bMovable=true
	bHidden=true
     	LightType=LT_Steady
     	LightEffect=LE_None
     	LightBrightness=255.000000
     	LightRadius=1000.000000
     	LightHue=0
     	LightSaturation=255
     	LightPeriod=35
	RemoteRole=Role_SimulatedProxy
	bAlwaysRelevant=true
}