class SPMainMenu extends UT2K4GUIPage;


var automated 	GUIButton	b_Settings, b_Quit, b_InstantAction, b_HostGame, b_PlayOnline, b_Resume;
var automated   GUILabel	lb_TestMsg;
var automated	GUIImage 	i_UT2Logo;
var localized   string      TestMsg;
var automated   BackgroundImage i_Background;
var() config string MenuSong;

function InitComponent(GUIController MyController, GUIComponent MyOwner)
{
	Super.InitComponent(MyController, MyOwner);
	//lb_TestMsg.Caption = TestMsg;
    	PlayerOwner().ClientSetInitialMusic(MenuSong,MTRAN_Segue);
}

function bool ButtonClick(GUIComponent Sender)
{
	if (Sender == b_InstantAction)
	{
		Controller.OpenMenu(Controller.GetInstantActionPage());
	}

	else if (Sender == b_Settings)
	{
    		Controller.OpenMenu(Controller.GetSettingsPage());
	}

    	else if (Sender == b_Quit)
	{
		Controller.OpenMenu(Controller.GetQuitPage());
	}

	else if (Sender == b_HostGame)
	{
		Controller.OpenMenu(Controller.GetMultiplayerPage());
	}

	else if (Sender == b_PlayOnline)
	{
		Controller.OpenMenu(Controller.GetServerBrowserPage());
	}

	else if (Sender == b_Resume)
	{
    		Controller.OpenMenu("CodeBase.Interface_LoadPage");
	}

	return true;
}


defaultproperties
{

	Begin Object Class=GUIButton Name=PlayOffline
	    FontScale=FNS_Small
		StyleName="TextButton"
		Caption="Play Single Player"
        CaptionEffectStylename="TextButtonEffect"
        CaptionAlign=TXTA_Left
		Hint="Play Single Player"
		OnClick=ButtonClick
         	WinTop=0.25
         	WinLeft=0.1
         	WinWidth=0.593666
         	WinHeight=0.075000
		bFocusOnWatch=true
        TabOrder=1
		bUseCaptionHeight=true
	End Object

	Begin Object Class=GUIButton Name=PlayOnline
	    FontScale=FNS_Small
		StyleName="TextButton"
		Caption="Play Online"
        CaptionEffectStylename="TextButtonEffect"
        CaptionAlign=TXTA_Left
		Hint="Play online with others"
		OnClick=ButtonClick
         WinTop=0.35
         	WinLeft=0.1
         WinWidth=0.659899
         WinHeight=0.075000
		bFocusOnWatch=true
        TabOrder=2
		bUseCaptionHeight=true
	End Object

	Begin Object Class=GUIButton Name=HostGame
	    FontScale=FNS_Small
		StyleName="TextButton"
		Caption="Host Game"
        CaptionEffectStylename="TextButtonEffect"
        CaptionAlign=TXTA_Left
		Hint="Host an SP game"
		OnClick=ButtonClick
         WinTop=0.45
         	WinLeft=0.1
         WinWidth=0.627131
         WinHeight=0.075000
		bFocusOnWatch=true
        TabOrder=3
		bUseCaptionHeight=true
	End Object

	Begin Object Class=GUIButton Name=QuickLoad
	    FontScale=FNS_Small
		StyleName="TextButton"
		Caption="Load Game"
        CaptionEffectStylename="TextButtonEffect"
        CaptionAlign=TXTA_Left
		Hint="Load game from a list of saved games."
		OnClick=ButtonClick
         WinTop=0.55
         	WinLeft=0.1
         WinWidth=0.627131
         WinHeight=0.075000
		bFocusOnWatch=true
        TabOrder=4
		bUseCaptionHeight=true
	End Object

	Begin Object Class=GUIButton Name=SettingsButton
	    FontScale=FNS_Small
		StyleName="TextButton"
		Caption="Settings"
        CaptionEffectStylename="TextButtonEffect"
        CaptionAlign=TXTA_Left
		Hint="Change your controls and settings"
		OnClick=ButtonClick
         WinTop=0.65
         	WinLeft=0.1
         WinWidth=0.580478
         WinHeight=0.075000
		bFocusOnWatch=true
        TabOrder=5
		bUseCaptionHeight=true
	End Object

	Begin Object Class=GUIButton Name=QuitButton
	    FontScale=FNS_Small
		StyleName="TextButton"
		Caption="Quit"
        CaptionEffectStylename="TextButtonEffect"
        CaptionAlign=TXTA_Left
		Hint="Exit the game"
		OnClick=ButtonClick
         WinTop=0.75
         	WinLeft=0.1
         WinWidth=0.526767
         WinHeight=0.075000
		bFocusOnWatch=true
        TabOrder=6
		bUseCaptionHeight=true
	End Object

	b_Settings=SettingsButton
	b_InstantAction=PlayOffline
	b_Quit=QuitButton
	b_HostGame=HostGame
	b_PlayOnline=PlayOnline
	b_Resume=QuickLoad
	//lb_TestMsg=lbTestMsg;

	WinWidth=1.0
	WinHeight=1.0
	WinTop=0.0
	WinLeft=0.0

	MenuSong="SDG-ONS08"
	bRenderWorld=False
	bAllowedAsLast=true
	bDisconnectOnOpen=true
	TestMsg="Single Player Framework"

     Begin Object Class=BackgroundImage Name=PageBackground
         Image=Texture'SPTextures.gui.menubg'
         ImageStyle=ISTY_Scaled
         ImageRenderStyle=MSTY_Alpha
         X1=0
         Y1=0
         X2=1024
         Y2=1024
     End Object
     i_Background=CodeBase.SPMainMenu.PageBackground
}
