class SPMonster_MechanicalSpider extends SPMonster;

var name DeathAnims[3];
var bool bLunging;

function SetMovementPhysics()
{
	SetPhysics(PHYS_Falling); 
}

simulated function PlayDirectionalDeath(Vector HitLoc)
{
	PlayAnim(DeathAnims[Rand(3)], 0.7, 0.1);
}

simulated function PlayDirectionalHit(Vector HitLoc)
{
	TweenAnim('CloseDown', 0.05);
}

function PlayVictory()
{
	Controller.bPreparingMove = true;
	Acceleration = vect(0,0,0);
	bShotAnim = true;
	PlayAnim('Bob', 1.0, 0.1);
	Controller.Destination = Location;
	Controller.GotoState('TacticalMove','WaitForAnim');
}

singular function Bump(actor Other)
{
	//local name Anim;
	//local float frame,rate;
	
	if ( bShotAnim && bLunging )
	{
		bLunging = false;
		//GetAnimParams(0, Anim,frame,rate);
		//if ( Anim == 'Scurry' )
		MeleeDamageTarget(20, (20000.0 * Normal(Controller.Target.Location - Location)));
	}		
	Super.Bump(Other);
}

function RangedAttack(Actor A)
{
	local float Dist;
	
	if ( bShotAnim )
		return;
		
	Dist = VSize(A.Location - Location);
	if ( Dist > 350 )
		return;
	bShotAnim = true;
	PlaySound(ChallengeSound[Rand(4)], SLOT_Interact);
	if ( Dist < MeleeRange + CollisionRadius + A.CollisionRadius )
	{
  		SetAnimAction('Scurry');
		MeleeDamageTarget(40, vect(0,0,0));
		Controller.bPreparingMove = true;
		Acceleration = vect(0,0,0);
		return;
	}
	
	// lunge at enemy
	bLunging = true;
	Enable('Bump');
	SetAnimAction('Scurry');
	Velocity = 500 * Normal(A.Location + A.CollisionHeight * vect(0,0,0.75) - Location);
	if ( dist > CollisionRadius + A.CollisionRadius + 35 )
		Velocity.Z += 0.7 * dist;
	SetPhysics(PHYS_Falling);
}

defaultproperties
{
     DeathAnims(0)="Closedown"
     DeathAnims(1)="Closedown"
     DeathAnims(2)="Closedown"
     bAlwaysStrafe=True
     HitSound(0)=SkaarjPack_rc.Pupae.injur1pp
     HitSound(1)=SkaarjPack_rc.Pupae.injur1pp
     HitSound(2)=SkaarjPack_rc.Pupae.injur2pp
     HitSound(3)=SkaarjPack_rc.Pupae.injur2pp
     DeathSound(0)=SkaarjPack_rc.Pupae.death1pp
     DeathSound(1)=SkaarjPack_rc.Pupae.death1pp
     DeathSound(2)=SkaarjPack_rc.Pupae.death1pp
     DeathSound(3)=SkaarjPack_rc.Pupae.death1pp
     ChallengeSound(0)=SkaarjPack_rc.Pupae.hiss2pp
     ChallengeSound(1)=SkaarjPack_rc.Pupae.hiss1pp
     ChallengeSound(2)=SkaarjPack_rc.Pupae.roam1pp
     ChallengeSound(3)=SkaarjPack_rc.Pupae.hiss3pp
     bCrawler=True
     MeleeRange=30.000000
     GroundSpeed=700.000000
     WaterSpeed=500.000000
     JumpZ=450.000000
     Health=100
     Skins(0)=Texture'VMWeaponsTX.PlayerWeaponsGroup.SpiderMineBLUEtex'
     Skins(1)=Texture'VMWeaponsTX.PlayerWeaponsGroup.SpiderMineBLUEtex'
     IdleHeavyAnim="Bob"
     IdleRifleAnim="Bob"
     IdleWeaponAnim="Clean"
     IdleRestAnim="Bob"
     MovementAnims(0)="Scurry"
     MovementAnims(1)="Scurry"
     MovementAnims(2)="Scurry"
     MovementAnims(3)="Scurry"
     LandAnims(0)="Bob"
     LandAnims(1)="Bob"
     LandAnims(2)="Bob"
     LandAnims(3)="Bob"
     TurnLeftAnim="Scurry"
     TurnRightAnim="Scurry"
     SwimAnims(0)="Scurry"
     SwimAnims(1)="Scurry"
     SwimAnims(2)="Scurry"
     SwimAnims(3)="Scurry"
     WalkAnims(0)="Scurry"
     WalkAnims(1)="Scurry"
     WalkAnims(2)="Scurry"
     WalkAnims(3)="Scurry"
     AirAnims(0)="Scurry"
     AirAnims(1)="Scurry"
     AirAnims(2)="Scurry"
     AirAnims(3)="Scurry"
     TakeoffAnims(0)="Scurry"
     TakeoffAnims(1)="Scurry"
     TakeoffAnims(2)="Scurry"
     TakeoffAnims(3)="Scurry"
     DoubleJumpAnims(0)="Scurry"
     DoubleJumpAnims(1)="Scurry"
     DoubleJumpAnims(2)="Scurry"
     DoubleJumpAnims(3)="Scurry"
     DodgeAnims(0)="Scurry"
     DodgeAnims(1)="Scurry"
     DodgeAnims(2)="Scurry"
     DodgeAnims(3)="Scurry"
     AirStillAnim="Scurry"
     TakeoffStillAnim="Scurry"
     IdleSwimAnim="Scurry"
     DrawScale=0.3
     Mesh=SkeletalMesh'ONSWeapons-A.ParasiteMine'
     CollisionRadius=28.000000
     CollisionHeight=12.000000
     Mass=80.000000
     RotationRate=(Yaw=65000,Roll=0)
}
