Class SPMonster_Mercenary extends SPMonster;

function HitDamageTarget()
{
	if (MeleeDamageTarget(15, 21000 * Normal(Controller.Target.Location - Location)))
		PlaySound(sound'CodeBaseMonsters.Sounds.mercmelee',SLOT_Interact);
}

function SprayTarget()
{
	FireProjectile();
}

simulated function PlayDirectionalHit(Vector HitLoc)
{
}

simulated function PlayDying(class<DamageType> DamageType, vector HitLoc)
{
	AmbientSound = None;
    bCanTeleport = false; 
    bReplicateMovement = false;
    bTearOff = true;
    bPlayedDeath = true;
		
	HitDamageType = DamageType; // these are replicated to other clients
    TakeHitLocation = HitLoc;
	LifeSpan = RagdollLifeSpan;

    GotoState('Dying');
		
	Velocity += TearOffMomentum;
    BaseEyeHeight = Default.BaseEyeHeight;
    SetPhysics(PHYS_Falling);

	PlayAnim('Dead4',1.2,0.05);	
}

function ShootTarget()
{
	FireProjectile();
}

function RangedAttack(Actor A)
{
	if (bShotAnim)
		return;

	else if ( VSize(A.Location - Location) < MeleeRange + CollisionRadius + A.CollisionRadius )
	{
		PlaySound(sound'CodeBaseMonsters.Sounds.slithmelee',SLOT_Talk);
		SetAnimAction('Punch');
	}	
	else
	{
		SetAnimAction('Spray');
	}
	Controller.bPreparingMove = true;
	Acceleration = vect(0,0,0);
	bShotAnim = true;
}

defaultproperties
{
     HitSound(0)=CodeBaseMonsters.Sounds.merccry
     HitSound(1)=CodeBaseMonsters.Sounds.merccry
     HitSound(2)=CodeBaseMonsters.Sounds.merccry
     HitSound(3)=CodeBaseMonsters.Sounds.merccry
     DeathSound(0)=CodeBaseMonsters.Sounds.merccry
     DeathSound(1)=CodeBaseMonsters.Sounds.merccry
     DeathSound(2)=CodeBaseMonsters.Sounds.merccry
     DeathSound(3)=CodeBaseMonsters.Sounds.merccry
     ChallengeSound(0)=CodeBaseMonsters.Sounds.merccry
     ChallengeSound(1)=CodeBaseMonsters.Sounds.merccry
     ChallengeSound(2)=CodeBaseMonsters.Sounds.merccry
     ChallengeSound(3)=CodeBaseMonsters.Sounds.merccry
     FireSound=Sound'CodeBaseMonsters.Sounds.merccry'
     AmmunitionClass=CodeBase.MercAmmo
	GroundSpeed = 480
	WaterSpeed = 150
	AirSpeed = 500
	bCanDoubleJump = True
	bCanWallDodge = False
	bCanDodgeDoubleJump = False
	JumpZ = 300
	HealthMax = 250
     ScoringValue=2
		LandAnims(0) = "Land"
		LandAnims(1) = "Land"
		LandAnims(2) = "Land"
		LandAnims(3) = "Land"
		AirAnims(0) = "Jump2"
		AirAnims(1) = "Jump2"
		AirAnims(2) = "Jump2"
		AirAnims(3) = "Jump2"
		WalkAnims(0) = "Walk"
		WalkAnims(1) = "Walk"
		WalkAnims(2) = "Walk"
		WalkAnims(3) = "Walk"
		IdleSwimAnim = "Swim"
		IdleWeaponAnim = "Dance"
		IdleRestAnim = "Dance"
		IdleHeavyAnim = "Dance"
		IdleRifleAnim = "Dance"
		AirStillAnim = "Jump2"
		TakeOffStillAnim = "Jump2"
		TakeOffAnims(0) = "Jump2"
		TakeOffAnims(1) = "Jump2"
		TakeOffAnims(2) = "Jump2"
		TakeOffAnims(3) = "Jump2"
		SwimAnims(0) = "Swim"
		SwimAnims(1) = "Swim"
		SwimAnims(2) = "Swim"
		SwimAnims(3) = "Swim"
     		IdleCrouchAnim="Duck"
		DoubleJumpAnims(0) = "Jump"
		DoubleJumpAnims(1) = "Jump"
		DoubleJumpAnims(2) = "Jump"
		DoubleJumpAnims(3) = "Jump"
		DodgeAnims(0) = "Jump"
		DodgeAnims(1) = "Jump"
		DodgeAnims(2) = "Jump"
		DodgeAnims(3) = "Jump"
		MovementAnims(0) = "Run"
		MovementAnims(1) = "Run"
		MovementAnims(2) = "Run"
		MovementAnims(3) = "Run"
		TurnLeftAnim = "Run"
		TurnRightAnim = "Run"
		Health=100
     		CrouchAnims(0)="Duck"
     		CrouchAnims(1)="Duck"
     		CrouchAnims(2)="Duck"
     		CrouchAnims(3)="Duck"
     		CrouchTurnRightAnim="Duck"
     		CrouchTurnLeftAnim="Duck"
     		WallDodgeAnims(0)="Jump"
     		WallDodgeAnims(1)="Jump"
     		WallDodgeAnims(2)="Jump"
     		WallDodgeAnims(3)="Jump"
     Mesh=VertMesh'CodeBaseMonsters.Merc'
     Skins(0)=Texture'CodeBaseMonsters.Skins.JMerc1'
     Skins(1)=Texture'CodeBaseMonsters.Skins.JMerc1'
     bCanDodge=False
     bCanCrouch=False
	bCanPickupInventory=False

	DetectionRadius=256
	HearingThreshold=256
	SightRadius=6000
	bForgetful=true
}