Class SPMonster_Queen extends SPMonster;

simulated function PlayDying(class<DamageType> DamageType, vector HitLoc)
{
	AmbientSound = None;
    bCanTeleport = false; 
    bReplicateMovement = false;
    bTearOff = true;
    bPlayedDeath = true;
		
	HitDamageType = DamageType; // these are replicated to other clients
    TakeHitLocation = HitLoc;
	LifeSpan = RagdollLifeSpan;

    GotoState('Dying');
		
	Velocity += TearOffMomentum;
    BaseEyeHeight = Default.BaseEyeHeight;
    SetPhysics(PHYS_Falling);

	PlayAnim('OutCold',1,0.05);
}

function SpawnShot()
{
	PlaySound(sound'CodeBaseMonsters.Sounds.queenshoot',SLOT_Interact);
	FireProjectile();
}

function ClawDamageTarget()
{
	if (MeleeDamageTarget(50, 21000 * Normal(Controller.Target.Location - Location)))
		PlaySound(sound'CodeBaseMonsters.Sounds.queenmelee',SLOT_Interact);
}

function TeleportMe()
{
	local QueenTeleportSpot P;
	local Array<QueenTeleportSpot> Y;

	foreach AllActors(class'QueenTeleportSpot', P)
	{

	if (P != None)
	{
		Y[Y.Length] = P;

		P = Y[RandRange(0, Y.Length -1)];
	
		SetLocation(P.Location);
	}

	}
}

function RangedAttack(Actor A)
{
	if (bShotAnim)
		return;

	if (fRand() > 0.9)
	{
		TeleportMe();
		PlayTeleportEffect(True, True);
	}

	else if ( VSize(A.Location - Location) < MeleeRange + CollisionRadius + A.CollisionRadius )
	{
		SetAnimAction('Claw');
	}	
	else
	{
		SetAnimAction('Shoot1');
	}
	Controller.bPreparingMove = true;
	Acceleration = vect(0,0,0);
	bShotAnim = true;
}

defaultproperties
{
	MeleeRange=120
     ScoringValue=100
     Mass=2000.000000
	bBoss=true
     Mesh=VertMesh'CodeBaseMonsters.Skqueen'
     Skins(0)=Texture'CodeBaseMonsters.Skins.JQueen1'
     Skins(1)=Texture'CodeBaseMonsters.Skins.JQueen1'
	Health=50000
     bCanDodge=False
     bCanCrouch=False
     AmmunitionClass=Class'QueenAmmo'
	bCanPickupInventory=False
		GroundSpeed = 250
		WaterSpeed = 150
		AirSpeed = 100
		bCanDoubleJump = False
		bCanWallDodge = False
		bCanDodgeDoubleJump = False
		JumpZ = 0
		LandAnims(0) = "Run"
		LandAnims(1) = "Run"
		LandAnims(2) = "Run"
		LandAnims(3) = "Run"
		AirAnims(0) = "Jump"
		AirAnims(1) = "Jump"
		AirAnims(2) = "Jump"
		AirAnims(3) = "Jump"
		MovementAnims(0) = "Run"
		MovementAnims(1) = "Run"
		MovementAnims(2) = "Run"
		MovementAnims(3) = "Run"
		WalkAnims(0) = "Walk"
		WalkAnims(1) = "Walk"
		WalkAnims(2) = "Walk"
		WalkAnims(3) = "Walk"
		IdleSwimAnim = "Walk"
		IdleWeaponAnim = "Meditate"
		IdleRestAnim = "Meditate"
		AirStillAnim = "Meditate"
		TakeOffStillAnim = "Fighter"
		SwimAnims(0) = "Run"
		SwimAnims(1) = "Run"
		SwimAnims(2) = "Run"
		SwimAnims(3) = "Run"
		CrouchAnims(0) = "Walk"
		CrouchAnims(1) = "Walk"
		CrouchAnims(2) = "Walk"
		CrouchAnims(3) = "Walk"
		TakeOffAnims(0) = "Jump"
		TakeOffAnims(1) = "Jump"
		TakeOffAnims(2) = "Jump"
		TakeOffAnims(3) = "Jump"
		DodgeAnims(0) = "ThreeHit"
		DodgeAnims(1) = "ThreeHit"
		DodgeAnims(2) = "ThreeHit"
		DodgeAnims(3) = "ThreeHit"
		TurnLeftAnim = "Fighter"
		TurnRightAnim = "Fighter"
     		IdleChatAnim="Stab"
     		IdleCrouchAnim="Walk"

     CollisionRadius=90.199997
     CollisionHeight=106.699997

	DetectionRadius=80000
	HearingThreshold=8000
	SightRadius=15000
	bForgetful=false
}