Class SPMonster_Zombie extends SPMonster;

function RangedAttack(Actor A)
{
	if ( VSize(A.Location - Location) < MeleeRange + CollisionRadius + A.CollisionRadius )
	{
		MeleeDamageTarget(5, (15000.0 * Normal(A.Location - Location)));
	}
}

simulated function Tick( float DeltaTime )
{
	if (MonsterController(Controller) != None)
	{

	if ( Level.timeseconds - MonsterController(Controller).ChallengeTime > FMax(3,Rand(6)) )
	{
		MonsterController(Controller).ChallengeTime = Level.timeseconds;
		PlayChallengeSound();
	}

	}
}

simulated function PlayDying(class<DamageType> DamageType, vector HitLoc)
{
	AmbientSound = None;
    bCanTeleport = false; 
    bReplicateMovement = false;
    bTearOff = true;
    bPlayedDeath = true;
		
	HitDamageType = DamageType; // these are replicated to other clients
    TakeHitLocation = HitLoc;
	LifeSpan = RagdollLifeSpan;

    GotoState('Dying');
		
	Velocity += TearOffMomentum;
    BaseEyeHeight = Default.BaseEyeHeight;
    SetPhysics(PHYS_Falling);

	PlayAnim('Dead2',1.2,0.05);	
}

defaultproperties
{
     bCanDodge=True
     bAlwaysStrafe=True
     ChallengeSound(0)=Sound'SkaarjPack_rc.Skaarj.chalnge1s'
     ChallengeSound(1)=Sound'SkaarjPack_rc.Skaarj.chalnge3s'
     ChallengeSound(2)=Sound'SkaarjPack_rc.Skaarj.roam11s'
     ChallengeSound(3)=Sound'SkaarjPack_rc.Skaarj.roam11s'
     GibCountCalf=2
     GibCountForearm=1
     GibCountHead=1
     GibCountTorso=3
     GibCountUpperArm=2
	bCanJump=false
     RagImpactSounds(0)=Sound'GeneralImpacts.Wet.Breakbone_01'
     RagImpactSounds(1)=Sound'GeneralImpacts.Wet.Breakbone_02'
     RagImpactSounds(2)=Sound'GeneralImpacts.Wet.Breakbone_03'
     RagImpactSounds(3)=Sound'GeneralImpacts.Wet.Breakbone_04'
     bCanFly=False
     MeleeRange=60.000000
     GroundSpeed=170
     Health=140
     bPhysicsAnimUpdate=True
     DrawType=DT_Mesh
     Mesh=VertMesh'CodeBaseMonsters.Male1'
     AmbientSound=Sound'GeneralAmbience.texture38'
     DrawScale=0.95000
     Skins(0)=Texture'SPMonsterTex.monsters.zombie'
     Skins(1)=Texture'SPMonsterTex.monsters.zombie'
     TurnLeftAnim="TurnSm"
     TurnRightAnim="TurnSm"
     DodgeSpeedFactor=1.500000
     DodgeSpeedZ=0.000000
     SwimAnims(0)="SwimSM"
     SwimAnims(1)="SwimSM"
     SwimAnims(2)="SwimSM"
     SwimAnims(3)="SwimSM"
     CrouchAnims(0)="CrouchF"
     CrouchAnims(1)="CrouchB"
     CrouchAnims(2)="CrouchL"
     CrouchAnims(3)="CrouchR"
     WalkAnims(0)="Walk"
     WalkAnims(1)="Walk"
     WalkAnims(2)="Walk"
     WalkAnims(3)="Walk"
     AirAnims(0)="JumpSMFR"
     AirAnims(1)="JumpSMFR"
     AirAnims(2)="JumpSMFR"
     AirAnims(3)="JumpSMFR"
	MovementAnims(0)="Walk"
	MovementAnims(1)="Walk"
	MovementAnims(2)="Walk"
	MovementAnims(3)="Walk"
     TakeoffAnims(0)="JumpSMFR"
     TakeoffAnims(1)="JumpSMFR"
     TakeoffAnims(2)="JumpSMFR"
     TakeoffAnims(3)="JumpSMFR"
     LandAnims(0)="JumpSMFRLand"
     LandAnims(1)="JumpSMFR"
     LandAnims(2)="JumpSMFR"
     LandAnims(3)="JumpSMFR"
     DoubleJumpAnims(0)="JumpSMFR"
     DoubleJumpAnims(1)="JumpSMFR"
     DoubleJumpAnims(2)="JumpSMFR"
     DoubleJumpAnims(3)="JumpSMFR"
     AirStillAnim="JumpSMFR"
     TakeoffStillAnim="JumpSMFR"
     CrouchTurnRightAnim="DuckWlkL"
     CrouchTurnLeftAnim="DuckWlkL"
     IdleCrouchAnim="DuckWlkS"
     IdleSwimAnim="Breath1L"
     IdleWeaponAnim="Breath1L"
     IdleRestAnim="Breath1L"
     IdleChatAnim="Breath1L"
}