Class SPMutator extends DMMutator config(SPFrame) cacheexempt;

var config bool bBonusHealth;
var config bool bBonusSpeed;
var config bool bBonusFire;
var config bool bBonusJump;
var config bool bWeaponCheat;

function bool IsRelevant(Actor Other, out byte bSuperRelevant)
{
	if ( Controller(Other) != None)
		Controller(Other).PlayerReplicationInfoClass = class'CodeBase.SPPRI';

	return Super.IsRelevant(Other, bSuperRelevant);
}

simulated function bool CheckReplacement(Actor Other, out byte bSuperRelevant)
{

	if (Other.IsA('Monster') && !Other.Isa('SPComrade'))
	{
		Monster(Other).ControllerClass = Class'SPMonsterController';
		Monster(Other).bDramaticLighting = false;
	}

	return true;
}

simulated function ModifyPlayer(Pawn Other)
{
	local xPawn P;
	P = xPawn(Other);

	If (P != Class'Monster')
	{

		Other.Controller.bAdrenalineEnabled = false;
		Other.GroundSpeed = 320;
		Other.WaterSpeed = 220;
		Other.bDramaticLighting = false;
		xPawn(Other).bCanDoubleJump = false;
		xPawn(Other).bCanDodgeDoubleJump = false;

		if (bBonusHealth)
		{
			Other.Health = 150;
			Other.HealthMax = 150;
		}

		if (bBonusSpeed)
		{
			Other.GroundSpeed = Other.Default.GroundSpeed += 35;
			Other.WaterSpeed = Other.Default.WaterSpeed += 25;
			Other.AirSpeed = Other.Default.AirSpeed += 25;
		}

		if (bBonusFire)
		{
			Other.Weapon.GetFireMode(0).FireRate = Other.Weapon.GetFireMode(0).Default.FireRate * 1.3;
			Other.Weapon.GetFireMode(1).FireRate = Other.Weapon.GetFireMode(1).Default.FireRate * 1.3;
		}

		if (bBonusJump)
		{
			xPawn(Other).bCanDoubleJump = true;
			xPawn(Other).bCanDodgeDoubleJump = true;
		}

	}
}

defaultproperties
{
    bBonusHealth=false
    bBonusSpeed=false
    bBonusFire=false
    bBonusJump=false
    IconMaterialName="MutatorArt.nosym"
    ConfigMenuClassName=""
    GroupName=""
    FriendlyName="SP Mutator"
}