Class SPPawn extends xPawn;

var A_SuitLight L;
var A_StealthPower F;
var bool On;
var int InvItem;
var A_BlinderLight A;
var bool StealthOn;
var bool bInventoryOn;
// 0 - Suit Light
// 1 - Flare

replication
{	
	reliable if (Role == ROLE_Authority)
		bInventoryOn, ClientSetMusic, L, F, On, A, StealthOn, NextInvClient, PrevInvClient;
	reliable if (Role < ROLE_Authority)
		InventoryItem, InvItem, NextInv, PrevInv;
}

function PostBeginPlay()
{
	local SPLevelInfo O;

	Super.PostBeginPlay();

	foreach AllActors(class'SPLevelInfo', O)
	{
		bInventoryOn = O.bUseInventory;
	}
}

function Died(Controller Killer, class<DamageType> damageType, vector HitLocation)
{
	Super.Died(Killer, DamageType, HitLocation);

	if (L != None)
		L.Destroy();

	if (F != None)
		F.Destroy();

	if (A != None)
		A.Destroy();
}

exec function NextInv()
{
	local PlayerReplicationInfo PRI;
	local PlayerController PC;
	PRI = SPPRI(Self.PlayerReplicationInfo);
	PC = PlayerController(Controller);

	if (bInventoryOn)
	{
		if (InvItem == 3)
		{
			If (PC != None)
				PC.ClientMessage("No more items. Go back!");
		}
	
		else
		{
			InvItem++;
	
			if (PRI != None)
				SPPRI(PRI).SetInventoryItem(InvItem);
		}
	
		if(Level.NetMode != NM_StandAlone)
			NextInvClient();
	}
}

exec function NextInvClient()
{

	local PlayerReplicationInfo PRI;
	local PlayerController PC;
	PRI = SPPRI(Self.PlayerReplicationInfo);
	PC = PlayerController(Controller);

	if (bInventoryOn)
	{
	
		if (InvItem == 3)
		{
			If (PC != None)
				PC.ClientMessage("No more items. Go back!");
		}
	
		else
		{
			InvItem++;
	
			if (PRI != None)
				SPPRI(PRI).SetInventoryItem(InvItem);
		}
	}
}

exec function PrevInv()
{
	local PlayerReplicationInfo PRI;
	local PlayerController PC;
	PRI = SPPRI(Self.PlayerReplicationInfo);
	PC = PlayerController(Controller);

	if (bInventoryOn)
	{
		if (InvItem == 0)
		{
			If (PC != None)
				PC.ClientMessage("No more items. Go forward!");
		}
	
		else
		{
			InvItem--;
	
			if (PRI != None)
				SPPRI(PRI).SetInventoryItem(InvItem);
		}
	
		if(Level.NetMode != NM_StandAlone)
			PrevInvClient();
	}
}

exec function PrevInvClient()
{
	local PlayerReplicationInfo PRI;
	local PlayerController PC;
	PRI = SPPRI(Self.PlayerReplicationInfo);
	PC = PlayerController(Controller);

	if (bInventoryOn)
	{
		if (InvItem == 0)
		{
			If (PC != None)
				PC.ClientMessage("No more items. Go forward!");
		}
	
		else
		{
			InvItem--;
	
			if (PRI != None)
				SPPRI(PRI).SetInventoryItem(InvItem);
		}
	}
}

exec function InventoryItem()
{
	local Vector Start;
	local Rotator Rot;
	local PlayerController PC;
	local SPPRI RP;

	if (bInventoryOn)
	{
	
		Start = Self.Location;
		Rot = Self.Rotation;
		PC = PlayerController(Controller);
	
		if (SPPRI(Self.PlayerReplicationinfo) != None)
			RP = SPPRI(Self.PlayerReplicationinfo);
	
		switch(InvItem)
		{
	
		case 0:
	
			if (!On && RP.LightSuitPower > 0)
			{
				L = Spawn(class 'A_SuitLight',, '', Start, rot);
				L.SetBase(Self);
				L.SetOwner(Self);
	
				if (PC != None)
					PC.ClientMessage("Ambient suit light activated.");
	
				On = true;
			}
	
			else if (On)
			{
				if (L != None)
				{
					L.bDynamicLight = false;
					L.Destroy();
				}
	
				if (PC != None)
					PC.ClientMessage("Ambient suit light de-activated.");
	
				On = false;
			}
	
			else
			{
				if (PC != None)
					PC.ClientMessage("No more light suit power left!");
			}
	
			break;
	
	
		case 1:
	
			if (!StealthOn && RP.StealthPower > 0)
			{
				F = Spawn(class 'A_StealthPower',, '', Start, rot);
				F.SetBase(Self);
				F.SetOwner(Self);
				Self.SetInvisibility(100);
	
				if (PC != None)
					PC.ClientMessage("Stealth power activated.");
	
				StealthOn = true;
			}
	
			else if (StealthOn)
			{
				if (F != None)
				{
					F.Destroy();
				}
	
				Self.SetInvisibility(0);
	
				if (PC != None)
					PC.ClientMessage("Stealth power de-activated.");
	
				StealthOn = false;
			}
	
			else
			{
				if (PC != None)
					PC.ClientMessage("No more stealth power left!");
			}
	
			break;
	
		case 2:
	
			if (RP.BlinderPower > 0)
			{
				A = Spawn(class 'A_BlinderLight',Self, '', Start, rot);
				A.SetOwner(Self);
			}
	
			else
			{
				if (PC != None)
					PC.ClientMessage("No Blinders left!");
			}
	
			break;
	
		case 3:
	
			if (PlayerController(Controller) != None)
			{
				PlayerController(Controller).ClientMessage("You can't use credits, fool!");
			}
	
			break;
	
		}
	}

}

simulated function ClientSetMusic(string NewSong, byte NewSection, byte NewCdTrack, EMusicTransition NewTransition)
{
	Level.Song = NewSong;
	Level.PlayMusic(NewSong, 2);
}

defaultproperties
{
	InvItem=0
}