Class SPShop extends Triggers;

var() class<Weapon> WeaponToBuy;

var() int CreditCost;
var() string ItemNameToSell;
var() int AmountToSell;
var() sound BuySound;

var() enum EProductType
{
	PT_Weapon,
	PT_Health,
	PT_LightSuitFuel,
	PT_Blinders,
	PT_StealthPower
} ProductType;

function bool SelfTriggered()
{
	return true;
}

function UsedBy(Pawn user)
{
	local SPPRI RP;

	RP = SPPRI(user.PlayerReplicationInfo);

	if (RP != None)
	{
		if (RP.Credits > 0)
		{

			switch(ProductType)
			{

			case PT_Weapon: Spawn(WeaponToBuy).GiveTo(user); break;

			case PT_Health: user.Health += AmountToSell; break;

			case PT_LightSuitFuel: RP.LightSuitPower += AmountToSell; break;

			case PT_Blinders: RP.BlinderPower += AmountToSell; break;

			case PT_StealthPower: RP.StealthPower += AmountToSell; break;

			}

			RP.Credits -= CreditCost;
			PlaySound(BuySound,SLOT_Interact,50,true,100,,true);

		}

		else
		{
			if (PlayerController(user.Controller) != None)
			{
				PlayerController(user.Controller).ClientMessage("You do not have enough credit balance.");
			}
		}
	}
}

function Touch(Actor Other)
{
	if ( Pawn(Other) != None )
	{
		Pawn(Other).ClientMessage("Item:" @ItemNameToSell@ ", Cost:" @CreditCost@ "credits");

		if ( AIController(Pawn(Other).Controller) != None)
			UsedBy(Pawn(Other));
	}
}

function bool IsRelevant(actor Other)
{

	return (Pawn(Other) != None) && Monster(Other) == None;
}

defaultproperties
{
	BuySound=Sound'PickupSounds.HealthPack'
	CreditCost=10
	AmountToSell=10
}