Class SPUplinkTrigger extends Triggers;

var() string Message;
var() sound MessageSound;
var() bool bAffectsAllPlayers;

function bool SelfTriggered()
{
	return true;
}

event Trigger(Actor Other, Pawn EventInstigator)
{
	local PlayerController PC;
	local SPPRI RP;

	PC = PlayerController(EventInstigator.Controller);

	if (bAffectsAllPlayers)
	{
		foreach AllActors(class'SPPRI', RP)
		{
			RP.SetMessage(Message);
			RP.PanelMessage = Message;
		}

		foreach DynamicActors(class'PlayerController', PC)
		{
			PC.Pawn.PlaySound(MessageSound,SLOT_Interact,50,true,100,,false);
			PC.ClientOpenMenu("CodeBase.SPInGameMessage");
		}
	}

	else
	{

		if (SPPRI(EventInstigator.PlayerReplicationInfo) != None)
		{
			SPPRI(EventInstigator.PlayerReplicationInfo).SetMessage(Message);
			SPPRI(EventInstigator.PlayerReplicationInfo).PanelMessage = Message;
		}
	
		if (PC != None)
		{
			PlaySound(MessageSound,SLOT_Interact,50,true,100,,false);
			PC.ClientOpenMenu("CodeBase.SPInGameMessage");
		}

	}
}

function bool IsRelevant(actor Other)
{
	return (Pawn(Other) != None) && Monster(Other) == None;
}

defaultproperties
{
	Message="Uplink Message."
	MessageSound=Sound'MenuSounds.MS_Edit'
}