Class TitanStone extends FlakShell;

#exec obj load file=ArboreaLanscape.usx
#exec obj load file=AbaddonTerrain.utx

simulated function PostBeginPlay()
{
	local Rotator R;

	Super(Projectile).PostBeginPlay();
	Velocity = Vector(Rotation) * Speed;  
	R = Rotation;
	R.Roll = 32768;
	SetRotation(R);
	Velocity.z += TossZ; 
	initialDir = Velocity;
}

simulated function SpawnEffects( vector HitLocation, vector HitNormal )
{
	local PlayerController PC;

	PlaySound (Sound'WeaponSounds.BExplosion1',,3*TransientSoundVolume);
	if ( EffectIsRelevant(Location,false) )
	{
		PC = Level.GetLocalPlayerController();
		if ( (PC.ViewTarget != None) && VSize(PC.ViewTarget.Location - Location) < 3000 )
			spawn(class'NewExplosionC',,,HitLocation + HitNormal*16 );
		spawn(class'FlashExplosion',,,HitLocation + HitNormal*16 );
		spawn(class'RocketSmokeRing',,,HitLocation + HitNormal*16, rotator(HitNormal) );
		if ( (ExplosionDecal != None) && (Level.NetMode != NM_DedicatedServer) )
			Spawn(ExplosionDecal,self,,HitLocation, rotator(-HitNormal));
	}
}

simulated function Explode(vector HitLocation, vector HitNormal)
{
	local vector start;
    local rotator rot;
    local int i;
    local StoneFragments NewChunk;

	start = Location + 10 * HitNormal;
	if ( Role == ROLE_Authority )
	{
		HurtRadius(damage, 420, MyDamageType, MomentumTransfer, HitLocation);	
		for (i=0; i<6; i++)
		{
			rot = Rotation;
			rot.yaw += FRand()*32000-16000;
			rot.pitch += FRand()*32000-16000;
			rot.roll += FRand()*32000-16000;
			NewChunk = Spawn( class 'StoneFragments',, '', Start, rot);
		}
	}
    Destroy();
}

defaultproperties
{
	MyDamageType=Class'CodeBase.TitanDamage'
     Speed=2600.000000
     TossZ=400.000000
     CollisionRadius=38.00
     CollisionHeight=28.00
     Damage=130.000000
     RotationRate=(Roll=50000)
     DesiredRotation=(Roll=30000)
     bFixedRotationDir=True
     StaticMesh=ArboreaLanscape.Cliffs.littlerock01
	Drawscale=0.19
	Skins(0)=Texture'AbaddonTerrain.ground.lava02ab'
}